<!--

    Copyright 2018 Scytl Secure Electronic Voting SA

    All rights reserved

    See our extended copyright notice in *file 'Copyright.txt' which is part of this source code package

-->
<beans xmlns="http://xmlns.jcp.org/xml/ns/javaee" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://xmlns.jcp.org/xml/ns/javaee 
		http://xmlns.jcp.org/xml/ns/javaee/beans_1_1.xsd"
	bean-discovery-mode="all">
	<decorators>

		<class>com.scytl.products.ov.ei.services.domain.service.ballotbox.BallotBoxServiceDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.CredentialIdRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.ElectionDatesRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.MaxNumberOfAllowedVotesDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.vote.ReceiptFactoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.SchnorrProofRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.vote.VoteValidationServiceDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.VerifySignatureRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.confirmation.ConfirmationMessageValidationServiceDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.confirmation.ConfirmationMessageSignatureValidationDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.confirmation.ConfirmationMessageElectionDatesValidationDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.confirmation.ConfirmationMessageMathematicalGroupValidationDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.confirmation.ConfirmationMessageCredentialIdValidationDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.service.confirmation.ConfirmationMessageBlockedBallotBoxValidationDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.VoteIdsRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.EncryptedOptionsRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.VoteCertificateChainValidationRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.BlockedBallotBoxRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.domain.model.rule.VoteCorrectnessRuleDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.BallotBoxContentRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.BallotBoxInformationRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.BallotBoxRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.BallotRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.BallotTextRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.ElectionInformationContentRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.ElectoralAuthorityRepositoryDecorator</class>
		<class>com.scytl.products.ov.ei.services.infrastructure.persistence.VoteCastCodeRepositoryDecorator</class>
	</decorators>
</beans>
